classification
Title: Add audit for os.walk(), os.fwalk(), Path.glob() and Path.rglob()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gousaiyang, lukasz.langa, serhiy.storchaka, steve.dower, xtreak
Priority: normal Keywords: patch

Created on 2020-02-06 08:20 by serhiy.storchaka, last changed 2020-10-19 20:13 by gousaiyang. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18372 merged serhiy.storchaka, 2020-02-06 08:24
PR 18478 closed miss-islington, 2020-02-12 10:11
PR 18499 merged serhiy.storchaka, 2020-02-13 07:06
Messages (7)
msg361472 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-02-06 08:20
See issue38149.

There is an audit for os.scandir(), but it would be useful to have information about higher-level operations.
msg361872 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-02-12 10:11
New changeset f4f445b69306c68a2ba8ce8eb8c6cb3064db5fe7 by Serhiy Storchaka in branch 'master':
bpo-39567: Add audit for os.walk(), os.fwalk(), Path.glob() and Path.rglob(). (GH-18372)
https://github.com/python/cpython/commit/f4f445b69306c68a2ba8ce8eb8c6cb3064db5fe7
msg361879 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-02-12 11:43
Do these new audit events have to be documented?
msg361883 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-02-12 12:03
Yes, they should be.

They can also be backported to 3.8 - it was deliberate in the original PEP that adding new events is not a breaking change or a new feature.
msg361938 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-02-13 07:08
Oh, I did not know about the audit-event directive. Thanks Karthikeyan.

As for backporting this to 3.8 I left it on to the RM.
msg363658 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-03-08 12:31
New changeset db283b32e7580741a8b6b7f27f616cc656634750 by Serhiy Storchaka in branch 'master':
bpo-39567: Document audit for os.walk, os.fwalk, Path.glob and Path.rglob. (GH-18499)
https://github.com/python/cpython/commit/db283b32e7580741a8b6b7f27f616cc656634750
msg379005 - (view) Author: Saiyang Gou (gousaiyang) * Date: 2020-10-19 20:13
Should we backport this to 3.8? I believe that we should either backport this to 3.8 or document that these audit events are new in 3.9.
History
Date User Action Args
2020-10-19 20:13:01gousaiyangsetnosy: + gousaiyang
messages: + msg379005
2020-03-08 12:33:01serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-03-08 12:31:50serhiy.storchakasetmessages: + msg363658
2020-02-13 07:08:34serhiy.storchakasetstatus: closed -> open

nosy: + lukasz.langa
messages: + msg361938

resolution: fixed -> (no value)
stage: resolved -> patch review
2020-02-13 07:06:22serhiy.storchakasetpull_requests: + pull_request17873
2020-02-12 12:03:29steve.dowersetmessages: + msg361883
2020-02-12 11:43:47xtreaksetnosy: + xtreak
messages: + msg361879
2020-02-12 10:21:58serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-02-12 10:11:55miss-islingtonsetpull_requests: + pull_request17848
2020-02-12 10:11:41serhiy.storchakasetmessages: + msg361872
2020-02-06 08:24:46serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request17748
2020-02-06 08:22:06serhiy.storchakasettitle: Add audit for os.walk, os.fwalk, Path.glob() and Path.rglob() -> Add audit for os.walk(), os.fwalk(), Path.glob() and Path.rglob()
2020-02-06 08:20:48serhiy.storchakacreate